1. ihbsbA's Avatar
    Last night I stopped at BB and played with a Pixel - we set it up with my Google account, etc. We tried playing with GA and kept getting "'I'm sorry, you need to update your Google app before I can answer that..." -- updated ALL apps on the phone and kept getting this error. Anyone know why?
    10-23-2016 10:07 PM
  2. Jerry Hildenbrand's Avatar
    Sounds like it needed the OTA update that all Verizon models received. After you do that, you get another update for several apps from Google
    ihbsbA likes this.
    10-23-2016 10:35 PM

Similar Threads

  1. Replies: 2
    Last Post: 10-24-2016, 07:02 PM
  2. Replies: 1
    Last Post: 10-24-2016, 04:54 PM
  3. Replies: 1
    Last Post: 10-24-2016, 04:02 PM
  4. How to make this cellphone ring?
    By Mobile1 in forum Samsung Galaxy S4
    Replies: 1
    Last Post: 10-24-2016, 06:31 AM
  5. how to fix
    By AC Question in forum Ask a Question
    Replies: 0
    Last Post: 10-23-2016, 08:37 PM
LINK TO POST COPIED TO CLIPBOARD